Package ru.bitel.bgbilling.modules.wm.server.bean

# Class TransactionManager

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<Transaction>
ru.bitel.bgbilling.modules.wm.server.bean.TransactionManager

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class TransactionManager
    extends ru.bitel.common.dao.AbstractIdDao<Transaction>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `ERR_ALREADY_PAYED` |
  `static int` | `ERR_OFF` |
  `static int` | `ERR_TEST_MODE` |
  `static int` | `ERR_UNIQUE_INVS` |
  `static int` | `ERR_UNIQUE_TRANS` |
  `static int` | `ERR_WRONG_CONTRACT_ID` |
  `static int` | `ERR_WRONG_HASH` |
  `static int` | `ERR_WRONG_PAYMENT_ID` |
  `static int` | `ERR_WRONG_PAYMENT_TYPE` |
  `static int` | `ERR_WRONG_RECIEVER_PURSE` |
  `static int` | `ERR_WRONG_REMOTE_HOST` |
  `static int` | `ERR_WRONG_REQUEST` |
  `static int` | `ERR_WRONG_SUMM` |

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TransactionManager​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `checkAndUpdateWMPayment​(int contractId, WMRequest request, int sysMode)` | Проверяет запрос и возвращает ошибки.
  `int` | `getFirstYear​(int cid)` |
  `protected Transaction` | `getFromRS​(java.sql.ResultSet rs)` |
  `protected Transaction` | `getFromRS​(java.sql.ResultSet rs, boolean contractTitle)` |
  `static java.lang.String` | `getPaymentComment​(java.sql.Connection con, java.lang.String pattern, Transaction transaction)` |
  `Transaction` | `getWMPayment​(int cid, int id)` |
  `java.util.List<Transaction>` | `getWMPaymentList​(java.util.Calendar from, java.util.Calendar until, int status, java.lang.String contractTitle, java.lang.String wmId, java.lang.String wmPayId)` |
  `java.lang.String` | `logResult​(int result)` |
  `void` | `searchTransaction​(SearchResult<Transaction> searchResult, int contractId, java.lang.String contractTitle, java.lang.String status)` |
  `protected void` | `updateImpl​(Transaction transaction)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ERR_WRONG_REQUEST

    public static final int ERR_WRONG_REQUEST
    See Also:
      Constant Field Values

  - ### ERR_WRONG_REMOTE_HOST

    public static final int ERR_WRONG_REMOTE_HOST
    See Also:
      Constant Field Values

  - ### ERR_WRONG_HASH

    public static final int ERR_WRONG_HASH
    See Also:
      Constant Field Values

  - ### ERR_WRONG_RECIEVER_PURSE

    public static final int ERR_WRONG_RECIEVER_PURSE
    See Also:
      Constant Field Values

  - ### ERR_TEST_MODE

    public static final int ERR_TEST_MODE
    See Also:
      Constant Field Values

  - ### ERR_WRONG_PAYMENT_ID

    public static final int ERR_WRONG_PAYMENT_ID
    See Also:
      Constant Field Values

  - ### ERR_WRONG_CONTRACT_ID

    public static final int ERR_WRONG_CONTRACT_ID
    See Also:
      Constant Field Values

  - ### ERR_WRONG_SUMM

    public static final int ERR_WRONG_SUMM
    See Also:
      Constant Field Values

  - ### ERR_ALREADY_PAYED

    public static final int ERR_ALREADY_PAYED
    See Also:
      Constant Field Values

  - ### ERR_UNIQUE_INVS

    public static final int ERR_UNIQUE_INVS
    See Also:
      Constant Field Values

  - ### ERR_UNIQUE_TRANS

    public static final int ERR_UNIQUE_TRANS
    See Also:
      Constant Field Values

  - ### ERR_OFF

    public static final int ERR_OFF
    See Also:
      Constant Field Values

  - ### ERR_WRONG_PAYMENT_TYPE

    public static final int ERR_WRONG_PAYMENT_TYPE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### TransactionManager

    public TransactionManager​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### getWMPaymentList

    public java.util.List<Transaction> getWMPaymentList​(java.util.Calendar from, java.util.Calendar until, int status, java.lang.String contractTitle, java.lang.String wmId, java.lang.String wmPayId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchTransaction

    public void searchTransaction​(SearchResult<Transaction> searchResult, int contractId, java.lang.String contractTitle, java.lang.String status) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getWMPayment

    public Transaction getWMPayment​(int cid, int id)

  - ### checkAndUpdateWMPayment

    public int checkAndUpdateWMPayment​(int contractId, WMRequest request, int sysMode) throws ru.bitel.bgbilling.common.BGException
    Проверяет запрос и возвращает ошибки. Если запрос не предварительный (оповещает об оплате) то обновляет базу. В режиме отключен принимает оповещения об оплате, но отсылает все предварительные запросы с ошибкой ERR_OFF
    Parameters:
      `request` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFirstYear

    public int getFirstYear​(int cid)

  - ### logResult

    public java.lang.String logResult​(int result)

  - ### getPaymentComment

    public static java.lang.String getPaymentComment​(java.sql.Connection con, java.lang.String pattern, Transaction transaction)

  - ### getFromRS

    protected Transaction getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected Transaction getFromRS​(java.sql.ResultSet rs, boolean contractTitle) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(Transaction transaction) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`